## fava 1.9

=== debian/changelog ===
fava (1.9-4) unstable; urgency=medium

  * generate manpage with help2man and ship it
  * rules: do not ship __pycache__ dirs as part of help files

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 14 Jan 2019 10:20:52 +0100

fava (1.9-3) unstable; urgency=medium

  * compat: bump debhelper level to 12
  * control: add missing build-dep on cheroot
  * control: depend on the minimum cheroot version that ships egg-info
    (Closes: #918641)
  * drop python3-fava.pyremove, because fava.help is needed as a module

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 08 Jan 2019 14:43:10 +0100

fava (1.9-2) unstable; urgency=medium

  * debian/copyright: document additional copyright owners and licenses
    applicable to app.js (Closes: #917954)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 01 Jan 2019 19:15:00 +0100

fava (1.9-1) experimental; urgency=low

  * Initial release. (Closes: #917532)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 31 Dec 2018 16:15:31 +0100
