=== debian/control ===
Source: fava
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Stefano Zacchiroli <zack@debian.org>,
           Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: debhelper (>= 12~),
               dh-python,
               help2man <!nodoc>,
               python3-all,
               python3-babel,
               python3-beancount,
               python3-cheroot,
               python3-click,
               python3-flask (>= 0.10.1),
               python3-flask-babel,
               python3-jinja2,
               python3-markdown2,
               python3-ply,
               python3-setuptools,
               python3-simplejson,
Standards-Version: 4.3.0
Homepage: https://beancount.github.io/fava/
Vcs-Browser: https://salsa.debian.org/python-team/applications/fava
Vcs-Git: https://salsa.debian.org/python-team/applications/fava.git

Package: python3-fava
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-cheroot (>= 6.5.4+ds-2)
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Web interface for the double-entry accounting tool Beancount
 Fava is a web interface for the plain-text, double-entry bookkeeping
 tool and language Beancount.
 .
 An online demo of Fava is available at https://fava.pythonanywhere.com .
 .
 For more information about Beancount itself see the beancount Debian
 package.
