## fava 1.10

=== debian/changelog ===
fava (1.10-2) unstable; urgency=medium

  * Cancel the removal of the help directory (Closes: #934661)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 17 Aug 2019 19:45:15 +0200

fava (1.10-1) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * gitlab-ci.yml: add salsa CI pipeline configuration

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.10
    + d/p/0001: Hardcode the version number to compensate for setuptools_scm
      version matching regexp which is too constrained.
    + d/control:
      - Add python3-setuptools-scm as a build-dependency
  * Add d/python3-fava.examples to include the contrib/examples dir.

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 02 Aug 2019 21:10:31 +0200
