=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Stefano Zacchiroli <zack@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                help2man <!nodoc>,
                python3-all,
@@ -18,8 +18,9 @@
                python3-markdown2,
                python3-ply,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-simplejson,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://beancount.github.io/fava/
 Vcs-Browser: https://salsa.debian.org/python-team/applications/fava
 Vcs-Git: https://salsa.debian.org/python-team/applications/fava.git
