## fava 1.11

=== debian/changelog ===
fava (1.11-1) unstable; urgency=medium

  * New upstream release 1.11

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 22 Aug 2019 19:35:28 +0200
