## fava 1.14

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,11 @@
 all: fava/static/gen/app.js
 
-fava/static/gen/app.js: fava/static/css/* fava/static/javascript/* fava/static/package.json
-	cd fava/static; npm install; npm run build
+fava/static/gen/app.js: fava/static/css/* fava/static/javascript/* fava/static/package.json fava/static/node_modules
+	cd fava/static; npm run build
+
+fava/static/node_modules: fava/static/package-lock.json
+	cd fava/static; npm install --no-progress
+	touch -m fava/static/node_modules
 
 .PHONY: clean
 clean: mostlyclean
@@ -19,15 +23,25 @@
 	find . -type f -name '*.py[c0]' -delete
 	find . -type d -name "__pycache__" -delete
 
+.PHONY: check-lint
+check-lint: fava/static/node_modules
+	cd fava/static; npm run check-lint
+	tox -e lint
+
 .PHONY: lint
-lint:
+lint: fava/static/node_modules
+	cd fava/static; npm run lint
 	tox -e format
 	tox -e lint
-	cd fava/static; npm install
-	cd fava/static; npm run lint
 
 .PHONY: test
 test:
+	tox
+
+.PHONY: update-snapshots
+update-snapshots:
+	find . -name "__snapshots__" -type d -prune -exec rm -r "{}" +
+	-SNAPSHOT_UPDATE=1 tox
 	tox
 
 .PHONY: docs
@@ -36,7 +50,8 @@
 
 .PHONY: run-example
 run-example:
-	BEANCOUNT_FILE= fava --debug tests/data/example.beancount
+	@xdg-open http://localhost:3333
+	BEANCOUNT_FILE= fava -p 3333 --debug tests/data/example.beancount
 
 .PHONY: bql-grammar
 bql-grammar:
