=== debian/changelog ===
fava (1.14-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Dr. Tobias Quathamer ]
  * New upstream version 1.14
    - Refresh patch
  * Add minimal gbp.conf for current branch setup
  * Bump Standards-Version to 4.5.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 17 Mar 2020 15:22:25 +0100
