=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-simplejson,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://beancount.github.io/fava/
 Vcs-Browser: https://salsa.debian.org/python-team/applications/fava
 Vcs-Git: https://salsa.debian.org/python-team/applications/fava.git
