=== debian/changelog ===
fava (1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.18
    - Refresh patch
  * Switch git repo layout to DEP14
  * Add lintian override for false positive error
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 21 Jan 2021 14:12:41 +0100

fava (1.17-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Dr. Tobias Quathamer ]
  * New upstream version 1.17
    - Refresh patches
  * Update Standards-Version to 4.5.1, no changes needed
  * Use Rules-Requires-Root: no

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 18 Nov 2020 17:02:54 +0100

fava (1.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15
    - Refresh patch
    - Add PYTHONPATH=\"$(CURDIR)/src\" for help2man manpage generation
    - Adjust path for docs after upstream reorganization
  * Use debhelper v13
  * Remove unused lintian overrides
  * Fix wrong syntax in generated manpage

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 06 Sep 2020 20:50:42 +0200
