=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: fava
 Section: python
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Zacchiroli <zack@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man <!nodoc>,
                python3-all,
@@ -20,10 +20,11 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-simplejson,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://beancount.github.io/fava/
-Vcs-Browser: https://salsa.debian.org/python-team/applications/fava
-Vcs-Git: https://salsa.debian.org/python-team/applications/fava.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/fava
+Vcs-Git: https://salsa.debian.org/python-team/packages/fava.git
 
 Package: python3-fava
 Architecture: all
