## fava 1.20.1

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,21 @@
-all: src/fava/static/app.js
+all: src/fava/static/app.js src/fava/translations
 
-src/fava/static/app.js: frontend/css/* frontend/src/* frontend/package.json frontend/node_modules
+FRONTEND_SOURCES := $(shell find frontend/src -type f)
+src/fava/static/app.js: $(FRONTEND_SOURCES) frontend/css/* frontend/package.json frontend/node_modules
 	cd frontend; npm run build
 
 frontend/node_modules: frontend/package-lock.json
 	cd frontend; npm install --no-progress
 	touch -m frontend/node_modules
 
+TRANSLATION_SOURCES := $(shell find src/fava/translations -name '*.po')
+src/fava/translations: $(TRANSLATION_SOURCES)
+	pybabel compile -d src/fava/translations
+	touch -m src/fava/translations
+
 .PHONY: clean
 clean: mostlyclean
-	rm -rf build dist
-	rm -rf src/fava/static/*
+	find src/fava/static ! -name 'favicon.ico' -type f -exec rm -f {} +
 
 .PHONY: mostlyclean
 mostlyclean:
@@ -22,10 +27,12 @@
 	rm -rf frontend/node_modules
 	find . -type f -name '*.py[c0]' -delete
 	find . -type d -name "__pycache__" -delete
+	find src/fava/translations -name '*.mo' -delete
 
 .PHONY: lint
 lint: frontend/node_modules
 	pre-commit run -a
+	cd frontend; npx svelte-check
 	tox -e lint
 
 .PHONY: test
@@ -37,8 +44,17 @@
 .PHONY: update-snapshots
 update-snapshots:
 	find . -name "__snapshots__" -type d -prune -exec rm -r "{}" +
-	-SNAPSHOT_UPDATE=1 tox
-	tox
+	-SNAPSHOT_UPDATE=1 tox -e py
+	tox -e py
+
+.PHONY: update-deps
+update-deps:
+	cd frontend; npx npm-check -y
+	cd frontend; npm update
+
+.PHONY: update-precommit
+update-precommit:
+	pre-commit autoupdate
 
 .PHONY: docs
 docs:
@@ -84,22 +100,21 @@
 .PHONY: translations-fetch
 translations-fetch:
 	contrib/scripts.py download-translations
-	pybabel compile -d src/fava/translations
 
 # Build and upload the website.
 .PHONY: gh-pages
 gh-pages:
-	git checkout master
+	git checkout main
 	git checkout --orphan gh-pages
 	tox -e docs
 	ls | grep -v 'build' | xargs rm -r
 	mv -f build/docs/* ./
-	rm -r build
+	rm -r build .builds .github
 	touch .nojekyll
 	git add -A
 	git commit -m 'Update gh-pages' --no-verify
 	git push --force git@github.com:beancount/fava.git gh-pages:gh-pages
-	git checkout master
+	git checkout main
 	git branch -D gh-pages
 
 # Create a binary using pyinstaller
