=== debian/changelog ===
fava (1.20.1-1) unstable; urgency=medium

  [ intrigeri ]
  * Team upload
  * New upstream version 1.20.1 (Closes: #995909)
  * Update build-dependencies
  * Refresh patch
  * 0002-Ensure-fava.__version__-is-defined-even-when-the-dis.patch: fix tests

  [ Dr. Tobias Quathamer ]
  * Update Standards-Version to 4.6.0, no changes needed
  * Update debian/watch to v4 and use github as source
  * Update lintian override about missing source

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 13 Dec 2021 11:50:05 +0100
