=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
                python3-beancount,
                python3-cheroot,
                python3-click,
-               python3-flask (>= 0.10.1),
-               python3-flask-babel,
-               python3-jinja2,
+               python3-flask (>= 2),
+               python3-flask-babel (>= 1),
+               python3-jinja2 (>= 3),
                python3-markdown2,
                python3-ply,
                python3-setuptools,
                python3-setuptools-scm,
                python3-simplejson,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://beancount.github.io/fava/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fava
