=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,10 @@
 	  --name "Web interface for the double-entry accounting tool Beancount" \
 	  --no-info \
 	  --include $(CURDIR)/debian/manpages/fava.tpl \
-	  "$$(pybuild --print interpreter --interpreter python3) -m fava.cli" \
+	  "PYTHONPATH=\"$(CURDIR)/src\" $$(pybuild --print interpreter --interpreter python3) -m fava.cli" \
 	  > $(CURDIR)/debian/manpages/fava.1
 	sed -i s/cli.py/fava/ $(CURDIR)/debian/manpages/fava.1
+	sed -i s/FAVA,/FAVA/ $(CURDIR)/debian/manpages/fava.1
 endif
 
 override_dh_auto_clean:
