=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/fava-$1\.tar\.gz/ \
  https://github.com/beancount/fava/tags .*/v?(\d\S+)\.tar\.gz
