## fava 1.23.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,21 @@
-all: src/fava/static/app.js src/fava/translations
+FRONTEND_SOURCES := $(shell find frontend/src frontend/css -type f)
+TRANSLATION_SOURCES := $(wildcard src/fava/translations/*/LC_MESSAGES/messages.po)
+TRANSLATION_TARGETS := $(TRANSLATION_SOURCES:messages.po=messages.mo)
 
-FRONTEND_SOURCES := $(shell find frontend/src -type f)
-src/fava/static/app.js: $(FRONTEND_SOURCES) frontend/css/* frontend/package.json frontend/node_modules
+.PHONY: all
+all: src/fava/static/app.js $(TRANSLATION_TARGETS)
+
+src/fava/static/app.js: $(FRONTEND_SOURCES) frontend/build.ts frontend/node_modules
+	rm -f src/fava/static/*
+	git checkout -- src/fava/static
 	cd frontend; npm run build
 
 frontend/node_modules: frontend/package-lock.json
 	cd frontend; npm install --no-progress
 	touch -m frontend/node_modules
 
-TRANSLATION_SOURCES := $(shell find src/fava/translations -name '*.po')
-src/fava/translations: $(TRANSLATION_SOURCES)
+$(TRANSLATION_TARGETS): $(TRANSLATION_SOURCES)
 	pybabel compile -d src/fava/translations
-	touch -m src/fava/translations
 
 .PHONY: clean
 clean: mostlyclean
@@ -32,6 +36,7 @@
 .PHONY: lint
 lint: frontend/node_modules
 	pre-commit run -a
+	cd frontend; npx tsc
 	cd frontend; npx svelte-check
 	tox -e lint
 
@@ -49,8 +54,10 @@
 
 .PHONY: update-deps
 update-deps:
-	cd frontend; npx npm-check -y
+	-cd frontend; npm outdated
 	cd frontend; npm update
+	cd frontend; npm run sync-pre-commit
+	touch -m frontend/node_modules
 
 .PHONY: update-precommit
 update-precommit:
@@ -63,15 +70,15 @@
 .PHONY: run-example
 run-example:
 	@xdg-open http://localhost:3333
-	BEANCOUNT_FILE= fava -p 3333 --debug tests/data/example.beancount
+	BEANCOUNT_FILE= fava -p 3333 --debug tests/data/*.beancount
 
 .PHONY: bql-grammar
 bql-grammar:
 	contrib/scripts.py generate-bql-grammar-json
 
-dist: src/fava/static/app.js src/fava setup.cfg setup.py MANIFEST.in
+dist: src/fava/static/app.js src/fava setup.cfg pyproject.toml MANIFEST.in
 	rm -rf build dist
-	python setup.py sdist bdist_wheel
+	tox -e build-dist
 
 .PHONY: before-release
 before-release: bql-grammar translations-push translations-fetch
