=== debian/changelog ===
fava (1.23.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * Replace bad patches with good package workarounds
  * Revert "use github as source" (Closes: #1031660)
  * Replace CI config with central one
  * Revert "Remove notions of removed src/fava/static/app.js"
  * d/copyright: Correct license names
  * Repack the source to get rid of .mo files
  * New upstream version 1.23.1+dfsg

 -- Bastian Germann <bage@debian.org>  Tue, 21 Feb 2023 15:15:34 +0100

fava (1.23.1-1) unstable; urgency=high

  * Team upload.
  * New upstream version 1.23.1 (CVE-2022-2514 CVE-2022-2523 CVE-2022-2589)
  * Build with pybuild pyproject plugin as upstream moved to pyproject.toml
  * Update lintian overrides
  * Remove copyright notice and lintian override of removed
    src/fava/static/app.js
  * Refresh patches

 -- Blair Noctis <n@sail.ng>  Sun, 05 Feb 2023 16:10:51 +0000

fava (1.20.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + python3-fava: Drop versioned constraint on python3-cheroot in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 14 Dec 2022 19:30:11 +0000
