=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
            Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                help2man <!nodoc>,
                python3-all,
                python3-babel,
@@ -16,6 +17,7 @@
                python3-flask-babel (>= 1),
                python3-jinja2 (>= 3),
                python3-markdown2,
+               python3-pkg-resources,
                python3-ply,
                python3-setuptools,
                python3-setuptools-scm,
@@ -28,7 +30,7 @@
 
 Package: python3-fava
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-cheroot (>= 6.5.4+ds-2)
+Depends: ${misc:Depends}, ${python3:Depends}, python3-cheroot
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: Web interface for the double-entry accounting tool Beancount
