=== debian/changelog ===
fava (1.30.2+dfsg-1) unstable; urgency=medium

  * New upstream release 1.30.2+dfsg
    (Closes: #1061230, #1083388, #1071795)
  * d/p/0001: Mark two worktree tests as expected failing
  * d/control: Bump Standards-Version to 4.7.2
  * d/copyright: Update copyrights
  * d/source: purge lintian-overrides (we'll potentially need to fixup some
    stuff in here)

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 14 Apr 2025 19:58:56 +0200
