=== debian/control ===
--- 
+++ 
@@ -5,24 +5,29 @@
 Uploaders: Stefano Zacchiroli <zack@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                help2man <!nodoc>,
                python3-all,
                python3-babel,
                python3-beancount,
+               python3-beanquery,
+               python3-beangulp,
                python3-cheroot,
                python3-click,
-               python3-flask (>= 2),
-               python3-flask-babel (>= 1),
-               python3-jinja2 (>= 3),
+               python3-flask,
+               python3-flask-babel,
+               python3-jinja2,
                python3-markdown2,
-               python3-pkg-resources,
                python3-ply,
+               python3-pytest,
+               python3-pytest-cov,
                python3-setuptools,
                python3-setuptools-scm,
                python3-simplejson,
-Standards-Version: 4.6.0
+               python3-watchfiles,
+               python3-werkzeug,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://beancount.github.io/fava/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fava
@@ -30,7 +35,10 @@
 
 Package: python3-fava
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-cheroot
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-cheroot
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: Web interface for the double-entry accounting tool Beancount
