=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
 export PYBUILD_NAME=fava
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
