## fava miler-0.3.0

=== requirements.txt ===
# Automatically generated by https://github.com/damnever/pigar.

# fava_miler/build/lib/fava_miler/miler.py: 4
# fava_miler/fava_miler/miler.py: 4
Click >= 7.0

# fava_miler/build/lib/fava_miler/common/beancountinvestorapi.py: 3,4,5,6,7,8
# fava_miler/build/lib/fava_miler/common/favainvestorapi.py: 1
# fava_miler/build/lib/fava_miler/libmiler.py: 3,4
# fava_miler/build/lib/fava_miler/test_libmiler.py: 4,8
# fava_miler/fava_miler/common/beancountinvestorapi.py: 3,4,5,6,7,8
# fava_miler/fava_miler/common/favainvestorapi.py: 1
# fava_miler/fava_miler/libmiler.py: 3,4
# fava_miler/fava_miler/test_libmiler.py: 4,8
beancount == 2.3.5

# fava_miler/build/lib/fava_miler/__init__.py: 3
# fava_miler/build/lib/fava_miler/common/beancountinvestorapi.py: 27
# fava_miler/build/lib/fava_miler/common/favainvestorapi.py: 2
# fava_miler/fava_miler/__init__.py: 3
# fava_miler/fava_miler/common/beancountinvestorapi.py: 27
# fava_miler/fava_miler/common/favainvestorapi.py: 2
fava == 1.23

# fava_miler/.eggs/setuptools_scm-6.4.2-py3.8.egg/setuptools_scm/_version_cls.py: 5
packaging == 20.9

# fava_miler/.eggs/setuptools_scm-6.4.2-py3.8.egg/setuptools_scm/_entrypoints.py: 47
# fava_miler/.eggs/setuptools_scm-6.4.2-py3.8.egg/setuptools_scm/_version_cls.py: 11
# fava_miler/.eggs/setuptools_scm-6.4.2-py3.8.egg/setuptools_scm/integration.py: 4
# fava_miler/setup.py: 2
setuptools == 45.2.0

# fava_miler/build/lib/fava_miler/common/clicommon.py: 4
# fava_miler/fava_miler/common/clicommon.py: 4
tabulate == 0.8.9
